Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename deep-is
%global enable_tests 1

Name:		nodejs-deep-is
Version:	0.1.3
Release:	alt1_6
Summary:	Node's assert.deepEqual algorithm except for NaN being equal to NaN

License:	MIT
URL:		http://github.com/thlorenz/deep-is.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch
%if 0%{?fedora} >= 19
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	rpm-build-nodejs node-devel
%if 0%{?enable_tests}
BuildRequires:	npm(tape)
%endif
Source44: import.info

%description
Node's assert.deepEqual algorithm except for NaN being equal to NaN


%prep
%setup -q -n package


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tape test/*.js
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"

%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.markdown example/
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{packagename}


%changelog
* Sun Mar 24 2019 Igor Vlasenko <viy@altlinux.ru> 0.1.3-alt1_6
- new version

* Thu Mar 21 2019 Igor Vlasenko <viy@altlinux.ru> 0.1.3-alt0.1.njs.bootstrap
- bootstrap

